This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 811955 - [EAP6 Plug-in BETA] Deploy to ServerGroup fails - read timeout
[EAP6 Plug-in BETA] Deploy to ServerGroup fails - read timeout
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Agent (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: RHQ 4.4.0
Assigned To: Heiko W. Rupp
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-12 07:45 EDT by Libor Zoubek
Modified: 2015-11-01 19:42 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-31 06:13:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Libor Zoubek 2012-04-12 07:45:06 EDT
Description of problem:


Version-Release number of selected component (if applicable):
Version: 3.0.1.GA
Build Number: bf8f49a:9fe6384
EAP6 ER4.1
jboss-as-7 from #1314

How reproducible:always


Steps to Reproduce:
1. have EAP6 i domain mode
2. create new DomainDeployment
3. deploy it to server-group
  
Actual results: Operation fails with result
read timeout

java.lang.Exception: Read timed out, rolled-back=false, rolled-back=false
	at org.rhq.core.pc.operation.OperationInvocation.run(OperationInvocation.java:278)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1110)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:603)
	at java.lang.Thread.run(Thread.java:636)

Expected results: Operation is successfull


Additional info:
Comment 1 Heiko W. Rupp 2012-04-12 09:09:48 EDT
I have moved some code around and increased the timeout here.

master bc57040da065c , so build 1315
Comment 2 Libor Zoubek 2012-04-13 09:39:15 EDT
I've used build >1315 and when I try to run 'Deploy to server group' operation I get this error in UI.

java.lang.RuntimeException:Failed to add ResourceOperationSchedule: resource=[Resource[id=10949, type=DomainDeployment, key=deployment=hello.war, name=hello.war]],job-name=[null], job-group=[null], operation-name=[domain-deployment:promote], subject=[Subject[id=2,name=rhqadmin]], description=[null]
   java.lang.RuntimeException:[1334323151964] javax.ejb.EJBException:java.lang.IllegalArgumentException: [domain-deployment:promote] is not a valid operation name for Resources of type [DomainDeployment]. -> java.lang.IllegalArgumentException:[domain-deployment:promote] is not a valid operation name for Resources of type [DomainDeployment].
Comment 3 Libor Zoubek 2012-04-13 12:20:18 EDT
after restarting both server and agent I no longer get this UI error
Comment 4 Heiko W. Rupp 2013-08-31 06:13:25 EDT
Bulk close of old bugs in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.